<div>
    <h2 class="pb-2 header">
        <span id="user-management-page-heading" jhiTranslate="cronjobManagement.home.title">emailTemplateManagement</span>

        <button class="btn btn-primary float-right jh-create-entity" [routerLink]="['./new']">
            <span jhiTranslate="cronjobManagement.home.create">Create</span>
        </button>
    </h2>

    <div class="row text-center">
        <div class="col-12">
            <div class="alert alert-secondary" role="alert" *ngIf="cronjobList && cronjobList.length === 0">
                <span jhiTranslate="global.dataEmpty"> recipientLists are empty! </span>
            </div>
        </div>
    </div>
    <div class="table-responsive border-table" *ngIf="cronjobList">
        <table class="table table-striped mb-0" aria-describedby="user-management-page-heading">
            <thead class="thead-light">
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="name"><span jhiTranslate="cronjobManagement.name">Name</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="recipientList_name"><span jhiTranslate="cronjobManagement.recipientList">recipientList</span> <fa-icon icon="sort"></fa-icon></th>
                    <th class="text-right" scope="col" jhiSortBy="chunkNumber"> <span jhiTranslate="cronjobManagement.chunkNumber">chunkNumber</span><fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"> <span jhiTranslate="cronjobManagement.template">template</span></th>
                    <th scope="col"> <span jhiTranslate="cronjobManagement.templateReminder1">templateReminder1</span></th>
                    <th scope="col"><span jhiTranslate="cronjobManagement.templateReminder2">templateReminder2</span></th>
                    <th scope="col" jhiSortBy="weekday"> <span jhiTranslate="cronjobManagement.date">date</span><fa-icon icon="sort"></fa-icon></th>
                    <th scope="col" jhiSortBy="sendHour"> <span jhiTranslate="cronjobManagement.time">time</span><fa-icon icon="sort"></fa-icon></th>
                    <th scope="col" jhiSortBy="frequency"> <span jhiTranslate="cronjobManagement.frequency">frequency</span><fa-icon icon="sort"></fa-icon></th>
                    <th scope="col" jhiSortBy="startDate"> <span jhiTranslate="cronjobManagement.startDate">startDate</span><fa-icon icon="sort"></fa-icon></th>
                    <th scope="col" jhiSortBy="endDate"> <span jhiTranslate="cronjobManagement.endDate">endDate</span><fa-icon icon="sort"></fa-icon></th>
                    <th class="text-center" scope="col" jhiSortBy="status"> <span jhiTranslate="cronjobManagement.status">status</span><fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody *ngIf="cronjobList">
                <tr *ngFor="let cronjob of cronjobList; trackBy: trackIdentity">
                    <td>{{ cronjob.id }}</td>
                    <td>{{ cronjob.name }}</td>
                    <td>{{ cronjob.recipientList!.name }}</td>
                    <td class="text-right">{{ cronjob.chunkNumber }}</td>
                    <td>{{ cronjob.templateMain?.name }}</td>
                    <td>{{ cronjob.templateReminder1?.name }}</td>
                    <td>{{ cronjob.templateReminder2?.name }}</td>
                    <td>{{ cronjob.weekday! | weekday}}</td>
                    <td>{{ cronjob.sendHour! | hour }}</td>
                    <td>{{ cronjob.frequency }}</td>
                    <td>{{ cronjob.startDate | date: 'dd/MM/yyyy' }}</td>
                    <td>{{ cronjob.endDate | date: 'dd/MM/yyyy' }}</td>
                    <td class="text-center">
                        <span class="status" [ngClass]="getClassByStatus(cronjob.status!)">   {{ cronjob.status! | capitalize }} </span>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button *ngIf="cronjob.status === 'CANCELLED'" ngbTooltip="{{'entity.action.resume' | translate}}" class="btn custom-icon-btn" (click)="resume(cronjob.id!)">
                                <i class="bi bi-play-circle"></i>
                            </button>
                            <a ngbTooltip="{{'entity.action.viewStatistic' | translate}}" class="custom-icon-link" type="submit"
                                    [routerLink]="['./', cronjob.id, 'statistic']">
                                <i class="bi bi-card-text"></i>
                            </a>
                            <button *ngIf="cronjob.status !== 'RUNNING'" ngbTooltip="{{'entity.action.archive' | translate}}" class="btn custom-icon-btn" type="button" (click)="archive(cronjob.id!)">
                                <i class="bi bi-archive"></i>
                            </button>
                            <button *ngIf="cronjob.status === 'RUNNING'" ngbTooltip="{{'entity.action.cancel' | translate}}" class="btn custom-icon-btn" type="button" (click)="cancel(cronjob.id!)">
                                <i class="bi bi-x-circle"></i>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="cronjobList" class="pt-5 d-flex justify-content-end mr-0">
        <jhi-item-count class="mr-4 align-self-center" [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        <ngb-pagination size="sm" [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="3" [rotate]="true" [boundaryLinks]="true" (pageChange)="transition()"></ngb-pagination>
    </div>
</div>
